- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.gdiobject.GDIObject Class Reference

The smjg.libs.sdwf.gdiobject.GDIObject class is the abstract base class from which Windows GDI objects are derived. More...

Inheritance diagram for smjg.libs.sdwf.gdiobject.GDIObject:

List of all members.

## Public Member Functions
HGDIOBJ | handle ()
| The Windows handle of this GDI object.
| ~this ()
Operators
int | opEquals (Object o)
int | opEquals (GDIObject a)
## Protected Member Functions
| this (HGDIOBJ h, bool autoDelete)
| Constructs a GDIObject to wrap the given GDI object handle.
| this (HGDIOBJ protected(*creator)(), string objectType)
## Protected Attributes
bool | _autoDelete
| Whether the Windows object should be deleted when the GDIObject instance is destroyed.

## Detailed Description

The smjg.libs.sdwf.gdiobject.GDIObject class is the abstract base class from which Windows GDI objects are derived.

Graphics Device Interface (GDI) objects are various entities used by the functions for displaying graphics and text.

GDIObjects in SDWF are well suited to RAII using the scope attribute, such that the Windows resources associated with them can be promptly and reliably released after use. Unlike the DC classes, RAII isn't enforced, so an application can keep around GDI objects for later use if it so wishes.

## Constructor & Destructor Documentation

smjg.libs.sdwf.gdiobject.GDIObject.this | ( | HGDIOBJ | h,
|  | bool | autoDelete |
| ) |  |  | `[protected]`

Constructs a GDIObject to wrap the given GDI object handle.

Parameters:

  | h | Windows handle of the GDI object to be wrapped.
  | autoDelete | whether the Windows handle should be automatically deleted when the SDWF object is garbage collected. This will generally be true for application-created objects and false for stock objects.

Status:
  done

smjg.libs.sdwf.gdiobject.GDIObject.this | ( | HGDIOBJ protected(*)() | creator,
|  | string | objectType |
| ) |  |  | `[protected]`

smjg.libs.sdwf.gdiobject.GDIObject.~this | ( |  | ) |

## Member Function Documentation

HGDIOBJ smjg.libs.sdwf.gdiobject.GDIObject.handle | ( |  | ) |

The Windows handle of this GDI object.

int smjg.libs.sdwf.gdiobject.GDIObject.opEquals | ( | Object | o | ) |

Determines whether this GDIObject is equal to another object.

Since:
  0.4

int smjg.libs.sdwf.gdiobject.GDIObject.opEquals | ( | GDIObject | a | ) |

Determines whether this GDIObject is equal to another GDIObject. Two GDIObjects are equal iff they have the same handle, i.e. they interface the same Windows GDI object.

Since:
  0.4

## Member Data Documentation

bool smjg.libs.sdwf.gdiobject.GDIObject._autoDelete`[protected]`

Whether the Windows object should be deleted when the GDIObject instance is destroyed.

The documentation for this class was generated from the following file:

- gdiobject.d